package fr.eni.enchere.bo;

import org.springframework.web.multipart.MultipartFile;

import java.util.Date;

public class Article {

    int id;
    String nom;
    String desc;
    MultipartFile photo;
    Date dateDebutEnch;
    Date dateFinEnch;
    float prixInitial;
    float prixVente;
    int Utilisateur;
    String pseudoUtilisateur;
    int numCategorie;
    boolean isDelete;

    public Article() {
    }

    public Article(int id, String nom, String desc, MultipartFile photo, Date dateDebutEnch, Date dateFinEnch, float prixInitial, float prixVente, int Utilisateur, String pseudoUtilisateur, int numCategorie, boolean isDelete) {
        setId(id);
        setNom(nom);
        setDesc(desc);
        setPhoto(photo);
        setDateDebutEnch(dateDebutEnch);
        setDateFinEnch(dateFinEnch);
        setPrixInitial(prixInitial);
        setPrixVente(prixVente);
        setNoUtilisateur(Utilisateur);
        setNumCategorie(numCategorie);
        setIsDelete(isDelete);
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public MultipartFile getPhoto() {
        return photo;
    }

    public void setPhoto(MultipartFile photo) {
        this.photo = photo;
    }

    public Date getDateDebutEnch() {
        return dateDebutEnch;
    }

    public void setDateDebutEnch(Date dateDebutEnch) {
        this.dateDebutEnch = dateDebutEnch;
    }

    public Date getDateFinEnch() {
        return dateFinEnch;
    }

    public void setDateFinEnch(Date dateFinEnch) {
        this.dateFinEnch = dateFinEnch;
    }

    public float getPrixInitial() {
        return prixInitial;
    }

    public void setPrixInitial(float prixInitial) {
        this.prixInitial = prixInitial;
    }

    public float getPrixVente() {
        return prixVente;
    }

    public void setPrixVente(float prixVente) {
        this.prixVente = prixVente;
    }

    public int getUtilisateur() {
        return Utilisateur;
    }

    public void setNoUtilisateur(int Utilisateur) {
        this.Utilisateur = Utilisateur;
    }

    public String getPseudoUtilisateur() {
        return pseudoUtilisateur;
    }

    public void setPseudoUtilisateur(String pseudoUtilisateur) {
        this.pseudoUtilisateur = pseudoUtilisateur;
    }

    public int getNumCategorie() {
        return numCategorie;
    }

    public void setNumCategorie(int numCategorie) {
        this.numCategorie = numCategorie;
    }

    public boolean getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(boolean delete) {
        isDelete = delete;
    }
}
